{
  description = "xdg-open-ng";

  outputs = { self, nimble, syndicate }:
    let inherit (syndicate.inputs.nixpkgs) lib;
    in {

      defaultPackage =
        lib.mapAttrs (system: pkgs: pkgs.xdg-open-ng) self.packages;
      packages = lib.mapAttrs (system: pkgs:
        let nimblePackages = nimble.packages.${system};
        in {
          xdg-open-ng = pkgs.nimPackages.buildNimPackage rec {
            pname = "xdg-open";
            version = self.lastModifiedDate;
            src = self;
            propagatedBuildInputs = [
              (nimblePackages.nimsha2.overrideAttrs (attrs: {
                src = pkgs.fetchFromGitHub {
                  owner = "jangko";
                  repo = "nimSHA2";
                  rev = "b8f666069dff1ed0c5142dd1ca692f0e71434716";
                  hash = "sha256-Wqb3mQ7638UOTze71mf6WMyGiw9qTwhbJiGGb+9OR2k=";
                };
              }))
              nimblePackages.preserves
              (nimblePackages.syndicate.overrideAttrs
                (attrs: { doCheck = false; }))
            ];
            postInstall = "mv $out/bin/xdg_open $out/bin/xdg-open";
          };
        }) { inherit (nimble.legacyPackages) x86_64-linux; };

      nixosModule = self.nixosModules.xdg-open-ng;
      nixosModules.xdg-open-ng = import ./nixos-module.nix;
    };
}
